rapidjson::StreamTraits< Stream > Struct Template Reference

Provides additional information for stream. More...

`#include <stream.h>`

## Public Types

enum | { copyOptimization = 0 }
| Whether to make local copy of stream for optimization during parsing. More...

## Detailed Description

### template<typename Stream>
struct rapidjson::StreamTraits< Stream >

Provides additional information for stream.

By using traits pattern, this type provides a default configuration for stream. For custom stream, this type can be specialized for other configuration. See TEST(Reader, CustomStringStream) in readertest.cpp for example.

## Member Enumeration Documentation

## anonymous enum

template<typename Stream >

anonymous enum

Whether to make local copy of stream for optimization during parsing.

By default, for safety, streams do not use local copy optimization. Stream that can be copied fast should specialize this, like StreamTraits<StringStream>.

The documentation for this struct was generated from the following file:

- include/rapidjson/stream.h